const COMMENT_BEST_PRACTICES = `<!-- Release notes authoring guidelines: http://keepachangelog.com/ -->
<!-- !!! THIS FILE IS AUTO-GENERATED !!! DO NOT EDIT THIS FILE MANUALLY !!! -->`;
const NEW_LINE = '\n';
const NEW_LINE_DOUBLE = NEW_LINE + NEW_LINE;
const RELEASE_NOTES_FILENAME = 'RELEASENOTES.md';

/**
 * arrayOfLines
 * @param {string} lines
 * @returns {array}
 */
function arrayOfLines(lines) {
  return lines.match(/[^\r\n]+/g) || [];
}

/**
 * getReleaseDate - returns a human-readable date string
 * @returns {string} - date string in MM DD, YYYY format
 */
function getReleaseDate() {
  const date = new Date();
  const month = date.toLocaleString('en-US', { month: 'long' });
  const day = date.getDate();
  const year = date.getFullYear();

  return `${month} ${day}, ${year}`;
}

/**
 * logStatus - logs a formatted message
 * @returns null
 */
const logStatus = message =>
  console.log('\n', '\u{26A1}', '\x1b[32m', message, '\x1b[0m', '\n');

const logWarning = message =>
  console.log('\n', '\x1b[35m', '\u{1F640}', message, '\u{1F640}', '\n');

module.exports = {
  arrayOfLines,
  getReleaseDate,
  logStatus,
  logWarning,
  COMMENT_BEST_PRACTICES,
  NEW_LINE,
  NEW_LINE_DOUBLE,
  RELEASE_NOTES_FILENAME
};
